package ch.unibe.piccola;

import junit.framework.TestSuite;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Aug 15, 2002)
**/
public class AllTests
{

    // ------------------------------------------------------------------------
    // test suite
    // ------------------------------------------------------------------------

    public static void main(String[] args)
    {
        junit.textui.TestRunner.run(suite());
    }

    public static TestSuite suite()
    {
        TestSuite suite = new TestSuite();
        suite.addTest(ch.unibe.piccola.bytecode.AllTests.suite());
        suite.addTest(ch.unibe.piccola.compiler.AllTests.suite());
        suite.addTest(ch.unibe.piccola.parser.AllTests.suite());
        suite.addTest(ch.unibe.piccola.type.AllTests.suite());
        suite.addTest(ch.unibe.piccola.vm.AllTests.suite());
        return suite;
    }

}