package ch.unibe.piccola.bytecode;

import ch.unibe.piccola.code.Arguments;
import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

public class ImplArrayInterfaceTest implements ArrayInterfaceTest
{

	private Service m_voidAints;
	private Service m_voidAObjects;
	private Service m_voidAints2;
	private Service m_voidAObjects2;

    protected Service extractService(Form handler, String name)
    {
        return handler.project(name).service();
    }

	public ImplArrayInterfaceTest(Form handler) {
		m_voidAints = extractService(handler, "voidAints");
		m_voidAObjects = extractService(handler, "voidAObjects");
		m_voidAints2 = extractService(handler, "voidAints2");
		m_voidAObjects2 = extractService(handler, "voidAObjects2");
	}

	public void voidAints(int[] ints)
	{
		m_voidAints.callback(new Arguments(ints));
	}

	public void voidAObjects(Object[] objs)
	{
		m_voidAObjects.callback(new Arguments(objs));
	}

	public void voidAints2(int[][] ints2)
	{
		m_voidAints2.callback(new Arguments(ints2));
	}

	public void voidAObjects2(Object[][] objs2)
	{
		m_voidAObjects2.callback(new Arguments(objs2));
	}

}
