package ch.unibe.piccola.bytecode;

import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

public class ImplVoidArgumentInterfaceTest
			implements VoidArgumentInterfaceTest{

	private Service m_voidAvoid;
	private Service m_intAvoid;
	private Service m_booleanAvoid;
	private Service m_shortAvoid;
	private Service m_byteAvoid;
	private Service m_longAvoid;
	private Service m_doubleAvoid;
	private Service m_floatAvoid;
	private Service m_charAvoid;
	private Service m_ObjectAvoid;

    protected Service extractService(Form handler, String name)
    {
        return handler.project(name).service();
    }


	public ImplVoidArgumentInterfaceTest(Form delegate) {
		m_voidAvoid = extractService(delegate, "voidAvoid");
		m_intAvoid = extractService(delegate, "intAvoid");
		m_booleanAvoid = extractService(delegate, "booleanAvoid");
		m_shortAvoid = extractService(delegate, "shortAvoid");
		m_byteAvoid = extractService(delegate, "byteAvoid");
		m_longAvoid = extractService(delegate, "longAvoid");
		m_doubleAvoid = extractService(delegate, "doubleAvoid");
		m_floatAvoid = extractService(delegate, "floatAvoid");
		m_charAvoid = extractService(delegate, "charAvoid");
		m_ObjectAvoid = extractService(delegate, "ObjectAvoid");
	}

	public void voidAvoid() {
		m_voidAvoid.callback(null);
	}

	public int intAvoid() {
		return ((Integer) m_intAvoid.callback(null)).intValue();
	}

	public boolean booleanAvoid() {
		return ((Boolean) m_booleanAvoid.callback(null)).booleanValue();
	}

	public short shortAvoid() {
		return ((Short) m_shortAvoid.callback(null)).shortValue();
	}

	public byte byteAvoid() {
		return ((Byte) m_byteAvoid.callback(null)).byteValue();
	}

	public long longAvoid() {
		return ((Long) m_longAvoid.callback(null)).longValue();
	}

	public double doubleAvoid() {
		return ((Double) m_doubleAvoid.callback(null)).doubleValue();
	}

	public float floatAvoid() {
		return ((Float)	m_floatAvoid.callback(null)).floatValue();
	}

	public char charAvoid() {
		return ((Character)	m_charAvoid.callback(null)).charValue();
	}

	public Object ObjectAvoid() {
		return m_ObjectAvoid.callback(null);
	}

}


