package ch.unibe.piccola.bytecode;

import java.util.Enumeration;
import java.util.NoSuchElementException;
import java.util.Hashtable;


public class PiccolaClassLoader extends ClassLoader {
	private static Hashtable m_hashtable; 

	public PiccolaClassLoader() {
		if (null == m_hashtable) {
			m_hashtable = new Hashtable();
		}
	}

  	public Class define(String name, byte[] data) {
		Class aClass = defineClass(name, data, 0, data.length);
		resolveClass(aClass);
		m_hashtable.put(name, aClass);
    	return aClass;
  	}

	protected Class findClass(String name) throws ClassNotFoundException {
		Class aClass = null;
		aClass = (Class) m_hashtable.get(name);
		/*	
		if (null != aClass) {
			System.out.println(" class name:   " + aClass.getName());
		} else {
			System.out.println(" Class " + name + " not found");
		}
		*/	
		return aClass;
	}
}
