package ch.unibe.piccola.code;

import ch.unibe.piccola.source.SourceRef;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Oct 02, 2002)
**/
class OpPopContext extends OpCode
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public final void execute(IVM vm)
    {
        vm.opPopContext();
    }

    public final String toString()
    {
        return "OpPopContext";
    }

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    OpPopContext(SourceRef sourceRef)
    {
        super(sourceRef);
    }

}