package ch.unibe.piccola.code;

import ch.unibe.piccola.source.SourceRef;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Sep 26, 2002)
**/
class OpSend extends OpCode
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public final void execute(IVM vm)
    {
        vm.opSend(m_channel);
    }

    public final String toString()
    {
        return "OpSend";
    }

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    OpSend(SourceRef sourceRef, Object channel)
    {
        super(sourceRef);
        m_channel = channel;
    }

    // ------------------------------------------------------------------------
    // private
    // ------------------------------------------------------------------------

    private Object m_channel;

}