package ch.unibe.piccola.bytecode;

import ch.unibe.piccola.code.Arguments;
import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

public class ImplClass1Test extends ClassTest
{

	public ImplClass1Test(Form handler)
    {
        m_delegate = handler;
        m_getClassName = extractService(handler, "getClassName");
    }

    protected Service extractService(Form handler, String name)
    {
        return handler.project(name).service();
    }

    public String getClassName()
    {
        return (String) m_getClassName.callback(new Arguments());
    }

	protected Form getService(String name)
    {
        return m_delegate.project(name);
    }

	private Form m_delegate;

    private Service m_getClassName;

}
