package ch.unibe.piccola.code;

import ch.unibe.piccola.source.SourceRef;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Oct 10, 2002)
**/
class OpMeta extends OpCode
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public final void execute(IVM vm)
    {
        vm.opMeta();
    }

    public final String toString()
    {
        return "OpMeta";
    }

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    OpMeta(SourceRef sourceRef)
    {
        super(sourceRef);
    }

}