package ch.unibe.piccola.type;

/**
 * Represents a type variable 'A+', 'A-', or the context variable 'R'.
 *
 * @author    Stefan Kneubuehl
 * @version   3.4c (Jan 03, 2003)
**/
public class TypeVariable extends Type
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public Type subst(TypeVariable var, Type replace)
    {
        return (this == var) ? replace : this;
    }

    public boolean isVariable()
    {
        return true;
    }

    public boolean occurs(TypeVariable var)
    {
        return this == var;
    }

    // ------------------------------------------------------------------------
    // protected
    // ------------------------------------------------------------------------

    protected TypeVariable()
    {
    }

}